// tutorial1.pike
Stdio.Port mainsock;
int port=1234; //Port number to bind to. Under Unix-like platforms (eg Linux),
//only the superuser can use ports <1024, so let's use a high port number here.

int main()
{
	mainsock=Stdio.Port(port);
	if (mainsock->errno())
	{
		werror("Error binding to port %d: %s\n",
			port,strerror(mainsock->errno()));
		return 1;
	}
	while (Stdio.File sock=mainsock->accept())
	{
		handle_client(sock);
	}
	return 0;
}

void handle_client(Stdio.File sock) //Called once for every client who connects.
{
	sock->write("Hello, world!\n"); //Send the client a greeting
	sock->close(); //And disconnect them.
}
